Imports System.Drawing.Drawing2D
''' <summary>
''' Basisklasse fr alle Klassen, die in der Lage sind, 
''' eine Area auf der ScrollBar zu zeichnen
''' </summary>
Public MustInherit Class ScrollBarAreaPainter

#Region " Private Fields "
    ' enthlt eine Referenz zur Area auf der ScrollBar
    Private m_Area As Area
#End Region

#Region " Properties "

    ''' <summary>
    ''' Referenz zur Area auf der ScrollBar
    ''' </summary>
    Property Area() As Area
        Get
            Return m_Area
        End Get
        Set(ByVal value As Area)
            m_Area = value
        End Set
    End Property

    ''' <summary>
    ''' Zeichenrechteck
    ''' </summary>
    ''' <remarks>
    ''' Das Rechteck, das dieser AreaPainter als Flche zum Zeichnen bentigt. Dieses 
    ''' Rechteck kann von dem der zugeordneten ScrollBar-Area abweichen. Damit wird 
    ''' ermglicht, sich berschneidende ScrollBar-Elemente zu zeichnen. Die CustomScrollBar
    ''' verwendet beim Invalidate von Flchen immer dieses Zeichenrechteck.
    ''' </remarks>
    MustOverride ReadOnly Property PaintRectangle() As Rectangle
#End Region

#Region " Methods "

    ''' <summary>
    ''' tritt ein beim Eintreten der Maus in die zugeordnete Area
    ''' </summary>
    Public MustOverride Sub OnMouseEnter()

    ''' <summary>
    ''' tritt ein beim Verlassen der zugeordneten Area durch die Maus
    ''' </summary>
    Public MustOverride Sub OnMouseLeave()

    ''' <summary>
    ''' tritt ein beim MouseDown-Ereignis ber der zugeordneten Area
    ''' </summary>
    Public MustOverride Sub OnMouseDown()

    ''' <summary>
    ''' tritt ein beim MouseUp-Ereignis ber der zugeordneten Area
    ''' </summary>
    Public MustOverride Sub OnMouseUp()

    ''' <summary>
    ''' ermglicht das Aktualisieren nach nderungen der ScrollBarArea
    ''' </summary>
    MustOverride Sub Update()

    ''' <summary>
    ''' zeichnet die ScrollBarArea neu
    ''' </summary>
    MustOverride Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)

#End Region

End Class
