''' <summary>
''' Die Farben, mit denen die ScrollBar gezeichnet werden soll
''' </summary>
Public Class ScrollBarColorCollection

    ' Event fr nderung einer der Farben
    Public Event Changed()

#Region " Private Fields "

    ' Hintergrundfarbe
    Private m_BackColor As Color

    ' Button-Vordergrundfarbe
    Private m_ForeColor As Color

    ' Button-MouseOver-Farbe
    Private m_HooverColor As Color

    ' Button-Selected-Farbe
    Private m_SelectionColor As Color

#End Region

#Region " Constructor "
   
    ''' <summary>
    '''  Konstruktor mit fest definierten Farben 
    ''' </summary>
    ''' <param name="ForeColor">Button-Vordergrundfarbe</param>
    ''' <param name="BackColor">Hintergrundfarbe</param>
    ''' <param name="SelectionColor">Button-Selected-Farbe</param>
    ''' <param name="HooverColor">Button-MouseOver-Farbe</param>
    Public Sub New(ByVal ForeColor As Color, ByVal BackColor As Color, ByVal SelectionColor As Color, ByVal HooverColor As Color)
        m_ForeColor = ForeColor
        m_BackColor = BackColor
        m_SelectionColor = SelectionColor
        m_HooverColor = HooverColor
    End Sub
#End Region

#Region " Properties "

    ''' <summary>
    ''' Button-Vordergrundfarbe
    ''' </summary>
    Property ForeColor() As Color
        Get
            Return m_ForeColor
        End Get
        Set(ByVal value As Color)
            m_ForeColor = value
            RaiseEvent Changed()
        End Set
    End Property

    ''' <summary>
    ''' Hintergrundfarbe
    ''' </summary>
    Property BackColor() As Color
        Get
            Return m_BackColor
        End Get
        Set(ByVal value As Color)
            m_BackColor = value
            RaiseEvent Changed()
        End Set
    End Property

    ''' <summary>
    ''' Button-Selected-Farbe
    ''' </summary>
    Property SelectionColor() As Color
        Get
            Return m_SelectionColor
        End Get
        Set(ByVal value As Color)
            m_SelectionColor = value
            RaiseEvent Changed()
        End Set
    End Property

    ''' <summary>
    ''' Button-MouseOver-Farbe
    ''' </summary>
    Property HooverColor() As Color
        Get
            Return m_HooverColor
        End Get
        Set(ByVal value As Color)
            m_HooverColor = value
            RaiseEvent Changed()
        End Set
    End Property

#End Region

End Class
