Public Class PictureControl
    Inherits Control
    Private m_Position As Point = New Point(0, 0)
    Private m_Image As Image
    Property Position() As Point
        Get
            Return m_Position
        End Get
        Set(ByVal value As Point)
            If m_Position <> value Then
                m_Position = value
                Invalidate()
            End If
        End Set
    End Property
    Property Image() As Image
        Get
            Return m_Image
        End Get
        Set(ByVal value As Image)
            If m_Image IsNot value Then
                m_Image = value
                Invalidate()
            End If
        End Set
    End Property

    Protected Overrides Sub OnResize(ByVal e As System.EventArgs)
        MyBase.OnResize(e)
        Invalidate()
    End Sub
    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(e)

        e.Graphics.Clear(Me.BackColor)
        If m_Image IsNot Nothing Then
            Dim rect As New Rectangle(m_Position, m_Image.Size)
            If rect.IntersectsWith(e.ClipRectangle) Then
                e.Graphics.DrawImage(m_Image, rect)
            End If
        End If
        ControlPaint.DrawVisualStyleBorder(e.Graphics, New Rectangle(0, 0, Me.Width - 1, Me.Height - 1))
    End Sub

    Public Sub New()
        Me.SetStyle(ControlStyles.DoubleBuffer Or ControlStyles.UserPaint _
        Or ControlStyles.AllPaintingInWmPaint, True)
    End Sub
End Class
