''' <summary>
''' Diese Klasse liefert fr eine Anzahl Farben (als Gradient) 
''' in festgelegten Timer-Intervallen eine aktuelle Farbe  
''' </summary>
''' <remarks></remarks>
Public Class ColorTimer

    ''' <summary>
    ''' Event bei nderung der Farbe
    ''' </summary>
    Public Event Color_Changed()

#Region " Konstruktoren "
    ''' <summary>
    ''' </summary>
    ''' <param name="GradientColors">Basisfarben fr den Farbverlauf</param>
    ''' <param name="Milliseconds">Dauer in Millisekunden fr den gesamten Farbwechsel</param>
    Public Sub New(ByVal GradientColors As GradientCollection, ByVal Milliseconds As Integer)
        m_GradientColors = GradientColors
        m_Timer = New Timer
        Dim ms As Single = Math.Max(0, Math.Min(Milliseconds, 2000))
        m_Timer.Interval = Math.Max(1, Math.Round(ms / 20.0F))
    End Sub
#End Region

#Region " Private Felder "

    ' Basis-Farben, die angezeigt werden knnen
    Private m_GradientColors As GradientCollection

    ' aktueller Farb-Index
    Private m_ColorIndex As Integer = 0

    'Timer zur Steuerung des Farbwechsels
    Private WithEvents m_Timer As Timer

#End Region

#Region " Properties "
    ''' <summary>
    ''' Aktive Farbe
    ''' </summary>
    ReadOnly Property ActiveColor() As Color
        Get
            Return m_GradientColors.Colors(m_ColorIndex)
        End Get
    End Property
#End Region

#Region " Methoden "
    ''' <summary>
    ''' fhrt zum ndern des aktuellen Farbindex und zum Auslsen des nderungs-Events
    ''' </summary>
    Private Sub m_Timer_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles m_Timer.Tick
        If m_ColorIndex < 19 Then
            m_ColorIndex += 1
            RaiseEvent Color_Changed()
        Else
            m_Timer.Stop()
        End If
    End Sub
    Public Sub StartTimer()
        m_Timer.Start()
    End Sub
    Public Sub StopTimer()
        m_Timer.Stop()
    End Sub
#End Region

End Class


