''' <summary>
''' enthlt drei Bitmaps zum Zeichnen einer PictureScrollBar-Area
''' fr unterschiedliche Zustnde (Normal, Hoovered, Selected)
''' </summary>
Public Class SelectionBitmapSource

#Region " Private Fields "
    Private m_NormalBitmap As Bitmap
    Private m_HooverBitmap As Bitmap
    Private m_MouseDownBitmap As Bitmap
    Private m_ActiveBitmap As Bitmap

    Private m_SelectionState As SelectionStates = SelectionStates.Normal
#End Region

#Region " Properties "
    WriteOnly Property SelectionState() As SelectionStates
        Set(ByVal value As SelectionStates)
            If m_SelectionState <> value Then
                m_SelectionState = value
                SetActiveBitmap()
            End If
        End Set
    End Property

    ReadOnly Property ActiveBitmap() As Bitmap
        Get
            Return m_ActiveBitmap
        End Get
    End Property

#End Region

#Region " Methods "
    Public Sub SetBitmaps(ByVal NormalBitmap As Bitmap, ByVal HooverBitmap As Bitmap, ByVal MouseDownBitmap As Bitmap)
        m_NormalBitmap = NormalBitmap
        m_HooverBitmap = HooverBitmap
        m_MouseDownBitmap = MouseDownBitmap
        SetActiveBitmap()
    End Sub
    Private Sub SetActiveBitmap()
        Select Case m_SelectionState
            Case SelectionStates.Normal
                m_ActiveBitmap = m_NormalBitmap
            Case SelectionStates.Hoovered
                m_ActiveBitmap = m_HooverBitmap
            Case SelectionStates.Selected
                m_ActiveBitmap = m_MouseDownBitmap
        End Select
    End Sub
#End Region

End Class
