Public Class SmallPicturePainterSource
    Inherits PicturePainterSource

#Region " Constructor "
    Public Sub New()
        SetOrientation(Orientation.Vertical)
    End Sub
#End Region

#Region " Properties "
    ''' <summary>
    ''' Bildvorlage, die die ScrollBar in normalem Zustand zeigt 
    ''' </summary>
    Public Overrides ReadOnly Property NormalImage() As System.Drawing.Image
        Get
            Return My.Resources.picturescrollbar_normal
        End Get
    End Property

    ''' <summary>
    ''' Bildvorlage, die die ScrollBar in gehoovertem Zustand zeigt 
    ''' </summary>
    Public Overrides ReadOnly Property HooverImage() As System.Drawing.Image
        Get
            Return My.Resources.picturescrollbar_highlight
        End Get
    End Property

    ''' <summary>
    ''' Bildvorlage, die die ScrollBar in selektiertem Zustand zeigt 
    ''' </summary>
    Public Overrides ReadOnly Property SelectedImage() As System.Drawing.Image
        Get
            Return My.Resources.picturescrollbar_click
        End Get
    End Property

    ''' <summary>
    ''' Vertikaler Bereich auf der Bildvorlage, der den oberen Pfeil-Button enthlt
    ''' </summary>
    Public Overrides ReadOnly Property ButtonTopRange() As Range
        Get
            Return New Range(0, 21)
        End Get
    End Property

    ''' <summary>
    ''' Vertikaler Bereich auf der Bildvorlage, der den unteren Pfeil-Button enthlt
    ''' </summary>
    Public Overrides ReadOnly Property ButtonBottomRange() As Range
        Get
            Return New Range(63, 21)
        End Get
    End Property

    ''' <summary>
    ''' Vertikaler Bereich auf der Bildvorlage, der den oberen Abschnitt des Scroll-Buttons enthlt
    ''' </summary>
    Public Overrides ReadOnly Property ScrollTopRange() As Range
        Get
            Return New Range(24, 7)
        End Get
    End Property

    ''' <summary>
    ''' Vertikaler Bereich auf der Bildvorlage, der den mittleren Abschnitt des Scroll-Buttons enthlt
    ''' </summary>
    Public Overrides ReadOnly Property ScrollMiddleRange() As Range
        Get
            Return New Range(32, 1)
        End Get
    End Property

    ''' <summary>
    ''' Vertikaler Bereich auf der Bildvorlage, der den unteren Abschnitt des Scroll-Buttons enthlt
    ''' </summary>
    Public Overrides ReadOnly Property ScrollBottomRange() As Range
        Get
            Return New Range(59, 2)
        End Get
    End Property

    ''' <summary>
    ''' Vertikaler Bereich auf der Bildvorlage, der den Hintergrund fr den Scrollbereich enthlt
    ''' </summary>
    Public Overrides ReadOnly Property ScrollAreaBackgroundRange() As Range
        Get
            Return New Range(21, 3)
        End Get
    End Property

    ''' <summary>
    ''' berschneidung zwischen Scroll-Button und oberem Pfeil-Button
    ''' </summary>
    Public Overrides ReadOnly Property ButtonTopOverlap() As Integer
        Get
            Return 1
        End Get
    End Property

    ''' <summary>
    ''' berschneidung zwischen Scroll-Button und oberem Pfeil-Button
    ''' </summary>
    Public Overrides ReadOnly Property ButtonBottomOverlap() As Integer
        Get
            Return 1
        End Get
    End Property

    ''' <summary>
    ''' minimale Lnge des Scroll-Button
    ''' </summary>
    Public Overrides ReadOnly Property ButtonScrollMinLength() As Integer
        Get
            Return 20
        End Get
    End Property
#End Region

End Class
